## redmine 4.0.7

=== debian/changelog ===
redmine (4.0.7-1) unstable; urgency=medium

  * New upstream version 4.0.7:
    + adapt/refresh patches.
  * Fix import issue with tmp directory (Thanks Andre Heider) (Closes:
    #952417).
  * Bumped Standards-Version to 4.5.0 (no changes required).
  * Minor package updates suggested by dh-make-ruby.
  * Add upstream metadata.
  * Switch to watch format 4.
  * Add patch to fix drag-and-drop attachments with JQuery 3 (thanks
    Martin Gregoire) (Closes: #955042).
  * Ensure database choice match installed redmine-<db> packages.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 21 Apr 2020 02:32:29 +0900
