=== debian/tests/control ===

# WARNING: do NOT reorder the redmine dependencies or certain tesst will fail.
#          autopkgtest seems to revolve dpendency in order, which leads to
#          redmine-sqlite to be installed when trying to tes another database.

Test-Command: debian/tests/smoke-test-apache sqlite3 apache2-passenger-host /
Depends: apache2,
         curl,
         libapache2-mod-passenger,
         redmine-sqlite,
         redmine
Restrictions: needs-root

Test-Command: debian/tests/smoke-test-apache postgresql apache2-passenger-host /
Depends: apache2,
         curl,
         libapache2-mod-passenger,
         postgresql,
         redmine-pgsql,
         redmine
Restrictions: needs-root

Test-Command: debian/tests/smoke-test-apache mysql2 apache2-passenger-host /
Depends: apache2,
         curl,
         default-mysql-server,
         libapache2-mod-passenger,
         redmine-mysql,
         redmine
Restrictions: needs-root

Test-Command: debian/tests/smoke-test-apache sqlite3 apache2-passenger-alias /redmine
Depends: apache2,
         curl,
         libapache2-mod-passenger,
         redmine-sqlite,
         redmine
Restrictions: needs-root

Test-Command: debian/tests/smoke-test-apache sqlite3 apache2-passenger-host / && debian/tests/plugin-assets
Depends: apache2,
         curl,
         libapache2-mod-passenger,
         redmine,
         redmine-plugin-custom-css
Restrictions: needs-root

Test-Command: debian/tests/smoke-test-lighttpd sqlite3 lighttpd-host / && debian/tests/plugin-assets
Depends: curl,
         lighttpd,
         redmine-sqlite,
         redmine,
         redmine-plugin-custom-css,
         ruby-fcgi
Restrictions: needs-root

# not working because of https://github.com/rails/rails/issues/24393
#Test-Command: debian/tests/smoke-test-lighttpd sqlite3 lighttpd-host-alias /redmine
#Depends: curl,
#         lighttpd,
#         redmine-sqlite,
#         redmine,
#         ruby-fcgi
#Restrictions: needs-root

Test-Command: debian/tests/smoke-test-nginx sqlite3 nginx-host / && debian/tests/plugin-assets
Depends: curl,
         multiwatch,
         nginx-light,
         redmine-sqlite,
         redmine,
         redmine-plugin-custom-css,
         ruby-fcgi,
         spawn-fcgi
Restrictions: needs-root

# not working because of https://github.com/rails/rails/issues/24393
#Test-Command: debian/tests/smoke-test-nginx sqlite3 nginx-alias /redmine
#Depends: curl,
#         multiwatch,
#         nginx-light,
#         redmine,
#         ruby-fcgi,
#         spawn-fcgi
#Restrictions: needs-root

Tests: install-purge-install
Depends: redmine
Restrictions: needs-root

Tests: install-break-purge
Depends: redmine
Restrictions: needs-root

Test-Command: /bin/true
Depends: dbconfig-no-thanks,
         redmine-sqlite,
         redmine
