=== debian/watch ===
version=4
https://github.com/redmine/redmine/releases .*/(.*)\.tar\.gz
