## redmine 5.0.2

=== debian/changelog ===
redmine (5.0.2-2) unstable; urgency=medium

  * Add patch to relax pg's version for autopkgtest.

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 13 Sep 2022 20:29:06 +0530

redmine (5.0.2-1) unstable; urgency=medium

  [ Marc Dequènes (Duck) ]
  * Do not use bundle without command. (Closes: #999617)

  [ Vivek K J ]
  * Relax Gemfile dep rouge (use 3.30.0 instead of 3.28.0).

  [ Utkarsh Gupta ]
  * New upstream version 5.0.2
  * Refresh d/patches.
    + Allow rouge ~> 3.28 as well. (Closes: #1017525)
    + Allow src:rails ~> 6.1.6 as well. (Closes: #1019607)
  * Add patch to allow Symbols and HWIA in YAML columns.
    (Closes: #1019238)
  * Add myself as an uploader.
  * Update minimum version of ruby-rails to 6.1.6.
  * Replace ruby-deckar01-task-list with ruby-task-list.

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 13 Sep 2022 18:28:49 +0530

redmine (5.0.0-1) unstable; urgency=medium

  * New upstream version: (Closes: #990792, #998417, #986800, #956365,
    #969206, #961630)
    + updated Files-Excluded.
    + refreshed/adapted patches.
    + removed gantt_jquery3_fix.patch, applied upstream.
    + removed openid_optional.patch, OpenID support removed.
    + removed openid_hardcoded.patch, OpenID support removed.
    + update missing source.
  * Fix import issue with tmp directory (Thanks Andre Heider) (Closes:
    #952417).
  * Bumped Standards-Version to 4.6.0 (no changes required).
  * Minor package updates suggested by dh-make-ruby.
  * Add upstream metadata.
  * Switch to watch format 4.
  * Update watch URL.
  * Ensure database choice match installed redmine-<db> packages.
  * Set Rules-Requires-Root to 'no'.
  * Remove obsolete Breaks and Conflicts.
  * Update lintian overrides.
  * Fix Passenger restart file location in example Apache config (thanks
    Pierre-Louis Bonicoli).
  * doc: async_smtp method was removed in 4.0.0.
  * Add lintian overrides for doc included in the UI.
  * Update copyright info.
  * Enable test suite at build time (courtesy of Emilio Pozuelo Monfort)
    (Closes: #988449).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 12 Apr 2022 18:39:20 +0900
