=== debian/control ===
--- 
+++ 
@@ -1,92 +1,107 @@
 Source: redmine
 Section: web
 Priority: optional
-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
-Uploaders:  Jérémy Lal <kapouer@melix.org>,
-            Lucas Kanashiro <kanashiro@debian.org>,
-            Marc Dequènes (Duck) <Duck@DuckCorp.org>
+Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Uploaders: Jérémy Lal <kapouer@melix.org>,
+           Lucas Kanashiro <kanashiro@debian.org>,
+           Marc Dequènes (Duck) <Duck@DuckCorp.org>,
+           Utkarsh Gupta <utkarsh@debian.org>
 Build-Depends: dbconfig-common,
                debhelper-compat (= 12),
                gem2deb (>= 1),
-               ruby | ruby-interpreter,
                ruby-actionpack-action-caching,
                ruby-actionpack-xml-parser,
+               ruby-addressable,
                ruby-bundler,
                ruby-coderay (>= 1.0.6),
-               ruby-csv,
-               ruby-i18n (>= 0.7),
+               ruby-commonmarker (>= 0.23.1),
+               ruby-csv (>= 3.2.0),
+               ruby-task-list (>= 2.3.2),
+               ruby-html-pipeline (>= 2.13.2),
+               ruby-i18n (>= 1.10.0),
                ruby-jquery-rails (>= 4.0.5),
                ruby-mail (>= 2.7.1),
-               ruby-mimemagic,
-               ruby-mime-types (>= 1.25),
-               ruby-mini-mime,
-               ruby-net-ldap (>= 0.16),
+               ruby-marcel,
+               ruby-mini-magick (>= 4.11.0~),
+               ruby-mini-mime (>= 1.0.1),
+               ruby-net-ldap (>= 0.17.0),
                ruby-nokogiri (>= 1.10.0),
                ruby-rack (>= 1.4.5),
-               ruby-rails (>= 2:5.2.2),
+               ruby-rails (>= 2:6.1.6),
                ruby-rails-observers,
                ruby-rbpdf (>= 1.19),
-               ruby-redcarpet (>= 3.4.0),
-               ruby-request-store,
+               ruby-redcarpet (>= 3.5.1),
+               ruby-request-store (>= 1.5.0),
                ruby-rmagick (>= 2.14.0),
                ruby-roadie (>= 3.2.2),
-               ruby-roadie-rails (>= 1.3.0),
-               ruby-rouge (>= 3.7.0)
+               ruby-roadie-rails (>= 3.0.0),
+               ruby-rotp (>= 5.0.0),
+               ruby-rouge (>= 3.28.0),
+               ruby-rqrcode,
+               ruby-sanitize (>= 6.0),
+               ruby-zip (>= 2.3.0~),
+# test suite
+               ruby-rails-dom-testing,
+               ruby-mocha (>= 1.4.0),
+               ruby-sqlite3,
+               gsfonts,
+# break thumbnail test
+# https://stackoverflow.com/questions/52998331/imagemagick-security-policy-pdf-blocking-conversion
+#              ghostscript,
 Build-Depends-Indep: po-debconf
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/ruby-team/redmine
 Vcs-Git: https://salsa.debian.org/ruby-team/redmine.git
 Homepage: https://www.redmine.org
+Rules-Requires-Root: no
 
 Package: redmine
 Architecture: all
 Pre-Depends: debconf
+# cannot use ruby:Depends because there is no gemspec
 Depends: dbconfig-common,
+         libjs-chart.js,
+         libjs-jquery,
+         libjs-jquery-ui,
+         libjs-raphael,
          redmine-sqlite | redmine-mysql | redmine-pgsql,
-         ruby | ruby-interpreter,
+         ruby:any,
          ruby-actionpack-action-caching,
          ruby-actionpack-xml-parser,
+         ruby-addressable,
          ruby-bundler,
          ruby-coderay (>= 1.0.6),
-         ruby-csv,
-         ruby-i18n (>= 0.7),
+         ruby-commonmarker (>= 0.23.1),
+         ruby-csv (>= 3.2.0),
+         ruby-task-list (>= 2.3.2),
+         ruby-html-pipeline (>= 2.13.2),
+         ruby-i18n (>= 1.10.0),
          ruby-jquery-rails (>= 4.0.5),
          ruby-mail (>= 2.7.1),
-         ruby-mimemagic,
-         ruby-mime-types (>= 1.25),
-         ruby-mini-mime,
-         ruby-net-ldap (>= 0.16),
+         ruby-marcel,
+         ruby-mini-magick (>= 4.11.0~),
+         ruby-mini-mime (>= 1.0.1),
+         ruby-net-ldap (>= 0.17.0),
          ruby-nokogiri (>= 1.10.0),
          ruby-rack (>= 1.4.5),
          ruby-rack-test (>= 0.7.0),
-         ruby-rails (>= 2:5.2.2),
+         ruby-rails (>= 2:6.1.6),
          ruby-rails-dom-testing (>= 1.0.6-2),
          ruby-rails-observers,
          ruby-rbpdf (>= 1.19),
-         ruby-redcarpet (>= 3.4.0),
-         ruby-request-store,
+         ruby-redcarpet (>= 3.5.1),
+         ruby-request-store (>= 1.5.0),
          ruby-rmagick (>= 2.14.0),
          ruby-roadie (>= 3.2.2),
-         ruby-roadie-rails (>= 1.3.0),
-         ruby-rouge (>= 3.7.0),
-         libjs-jquery,
-         libjs-jquery-ui,
-         libjs-raphael,
-         libjs-chart.js,
+         ruby-roadie-rails (>= 3.0.0),
+         ruby-rotp (>= 5.0.0),
+         ruby-rouge (>= 3.28.0),
+         ruby-rqrcode,
+         ruby-sanitize (>= 6.0),
+         ruby-zip (>= 2.3.0~),
          ${misc:Depends}
-Breaks: redmine-plugin-botsfilter (<=1.02-2),
-        redmine-plugin-recaptcha (<=0.1.0+git20121018)
-Conflicts: redmine-plugin-pretend (<= 0.0.2+git20130821-4),
-           redmine-plugin-recaptcha (<= 0.1.0+git20121018-3),
-           redmine-plugin-local-avatars (<= 1.0.1-1)
 Recommends: passenger
-Suggests: bzr,
-          cvs,
-          darcs,
-          git,
-          mercurial,
-          ruby-fcgi,
-          subversion
+Suggests: bzr, cvs, darcs, git, mercurial, ruby-fcgi, subversion
 Description: flexible project management web application
  Redmine is a flexible project management web application. Written using Ruby
  on Rails framework, it is cross-platform and cross-database.
@@ -130,7 +145,7 @@
 Architecture: all
 Depends: dbconfig-pgsql | dbconfig-no-thanks,
          postgresql-client,
-         ruby-pg (>= 1.1~),
+         ruby-pg (>= 1.2~),
          ${misc:Depends}
 Recommends: redmine (= ${source:Version})
 Suggests: postgresql
@@ -144,7 +159,7 @@
 Package: redmine-sqlite
 Architecture: all
 Depends: dbconfig-sqlite3 | dbconfig-no-thanks,
-         ruby-sqlite3 (>= 1.3.12~),
+         ruby-sqlite3 (>= 1.4.0~),
          sqlite3,
          ${misc:Depends}
 Recommends: redmine (= ${source:Version})
