=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,25 @@
 %:
 	dh $@ --with ruby
 
+override_dh_auto_clean:
+	# tests
+	rm -rf instances Gemfile.local
+	dh_auto_clean
+
 override_dh_auto_configure:
 	./debian/check-locales
-	bundle --local --quiet
+	bundle install --local --quiet
 	rm -f Gemfile.lock
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	mkdir -p instances/default/config/
+	cp debian/Gemfile.test.local Gemfile.local
+	cp debian/database.test.yml instances/default/config/database.yml
+	bin/rake db:migrate RAILS_ENV=test
+	bin/rake test RAILS_ENV=test
+	rm db/schema.rb
+endif
 
 override_dh_install:
 	dh_install
@@ -43,6 +58,7 @@
 	# fix permissions
 	chmod +x debian/redmine/usr/share/redmine/extra/mail_handler/rdm-mailhandler.rb
 	chmod -x debian/redmine/usr/share/redmine/app/models/mail_handler.rb
+	chmod -x debian/redmine/usr/share/redmine/Rakefile
 
 	# FIXME make redmine-instances executable. This can be dropped when the patch is accepted upstream
 	chmod +x debian/redmine/usr/share/redmine/bin/redmine-instances
