## redmine 5.0.4

=== debian/changelog ===
redmine (5.0.4-5+deb12u1) bookworm-security; urgency=medium

  * CVE-2023-47258 / CVE-2023-47259 / CVE-2023-47260 (Closes: #1055474)

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 22 May 2024 19:53:22 +0200

redmine (5.0.4-5) unstable; urgency=medium

  [Jakob Haufe]
  * Add support for Thin (Closes: #1031685).

  [ Marc Dequènes (Duck) ]
  * Update lintian overrides to new format.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 22 Feb 2023 03:58:10 +0900

redmine (5.0.4-4) unstable; urgency=medium

  * Set DH_RUBY_IGNORE_TESTS to all. (Closes: #1031308)
  * Cherry-pick changes from bullseye-backports branch.
  * Revert "d/rules: Limit PARALLEL_WORKERS to 2 to attempt fix flaky tests"

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 20 Feb 2023 19:31:13 +0530

redmine (5.0.4-3) unstable; urgency=medium

  [ Nilesh Patra ]
  * d/rules: Limit PARALLEL_WORKERS to 2 to attempt fix flaky tests.
  * Cleanup some more stuff for clean builds.

  [ Utkarsh Gupta ]
  * Add patch to stop unnecessary recursive chown'ing.
    (Closes: #1022816, #1022817)

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 10 Feb 2023 22:57:07 +0530

redmine (5.0.4-2) unstable; urgency=medium

  * Team upload.
  * d/control (Depends): Add ruby-mocha (closes: #1029601).

 -- Daniel Leidert <dleidert@debian.org>  Wed, 01 Feb 2023 16:41:38 +0100

redmine (5.0.4-1) unstable; urgency=medium

  * New upstream version 5.0.4. (Closes: #1022818)
    - Fixes CVE-2022-44030, CVE-2022-44031, and CVE-2022-44637.
      (Closes: #1026048)
  * Refresh d/patches.
    - Keep mocha in Gemfile. (Closes: #1027340)

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 16 Jan 2023 17:56:19 +0530
