=== debian/control ===
--- 
+++ 
@@ -8,37 +8,37 @@
            Utkarsh Gupta <utkarsh@debian.org>
 Build-Depends: dbconfig-common,
                debhelper-compat (= 12),
-               gem2deb (>= 1),
-               ruby-actionpack-action-caching,
+               gem2deb (>= 2.1~),
+               ruby-actionpack-action-caching (>= 1.2.2~),
                ruby-actionpack-xml-parser,
                ruby-addressable,
                ruby-bundler,
-               ruby-coderay (>= 1.0.6),
-               ruby-commonmarker (>= 0.23.1),
-               ruby-csv (>= 3.2.0),
-               ruby-task-list (>= 2.3.2),
-               ruby-html-pipeline (>= 2.13.2),
-               ruby-i18n (>= 1.10.0),
-               ruby-jquery-rails (>= 4.0.5),
-               ruby-mail (>= 2.7.1),
-               ruby-marcel,
+               ruby-coderay (>= 1.0.6~),
+               ruby-commonmarker (>= 0.23.1~),
+               ruby-csv (>= 3.2.0~),
+               ruby-task-list (>= 2.3.2~),
+               ruby-html-pipeline (>= 2.13.2~),
+               ruby-i18n (>= 1.10.0~),
+               ruby-jquery-rails (>= 4.0.5~),
+               ruby-mail (>= 2.7.1~),
+               ruby-marcel (>= 1.0.1+dfsg-2~),
                ruby-mini-magick (>= 4.11.0~),
-               ruby-mini-mime (>= 1.0.1),
-               ruby-net-ldap (>= 0.17.0),
-               ruby-nokogiri (>= 1.10.0),
-               ruby-rack (>= 1.4.5),
-               ruby-rails (>= 2:6.1.6),
+               ruby-mini-mime (>= 1.0.1~),
+               ruby-net-ldap (>= 0.17.0~),
+               ruby-nokogiri (>= 1.13.5~),
+               ruby-rack (>= 1.4.5~),
+               ruby-rails (>= 2:6.1.7~),
                ruby-rails-observers,
-               ruby-rbpdf (>= 1.19),
-               ruby-redcarpet (>= 3.5.1),
-               ruby-request-store (>= 1.5.0),
-               ruby-rmagick (>= 2.14.0),
-               ruby-roadie (>= 3.2.2),
-               ruby-roadie-rails (>= 3.0.0),
-               ruby-rotp (>= 5.0.0),
-               ruby-rouge (>= 3.28.0),
+               ruby-rbpdf (>= 1.19~),
+               ruby-redcarpet (>= 3.5.1~),
+               ruby-request-store (>= 1.5.0~),
+               ruby-rmagick (>= 2.14.0~),
+               ruby-roadie (>= 3.2.2~),
+               ruby-roadie-rails (>= 3.0.0~),
+               ruby-rotp (>= 5.0.0~),
+               ruby-rouge (>= 3.28.0~),
                ruby-rqrcode,
-               ruby-sanitize (>= 6.0),
+               ruby-sanitize (>= 6.0~),
                ruby-zip (>= 2.3.0~),
 # test suite
                ruby-rails-dom-testing,
@@ -66,38 +66,39 @@
          libjs-raphael,
          redmine-sqlite | redmine-mysql | redmine-pgsql,
          ruby:any,
-         ruby-actionpack-action-caching,
+         ruby-actionpack-action-caching (>= 1.2.2~),
          ruby-actionpack-xml-parser,
          ruby-addressable,
          ruby-bundler,
-         ruby-coderay (>= 1.0.6),
-         ruby-commonmarker (>= 0.23.1),
-         ruby-csv (>= 3.2.0),
-         ruby-task-list (>= 2.3.2),
-         ruby-html-pipeline (>= 2.13.2),
-         ruby-i18n (>= 1.10.0),
-         ruby-jquery-rails (>= 4.0.5),
-         ruby-mail (>= 2.7.1),
+         ruby-coderay (>= 1.0.6~),
+         ruby-commonmarker (>= 0.23.1~),
+         ruby-csv (>= 3.2.0~),
+         ruby-task-list (>= 2.3.2~),
+         ruby-html-pipeline (>= 2.13.2~),
+         ruby-i18n (>= 1.10.0~),
+         ruby-jquery-rails (>= 4.0.5~),
+         ruby-mail (>= 2.7.1~),
          ruby-marcel,
          ruby-mini-magick (>= 4.11.0~),
-         ruby-mini-mime (>= 1.0.1),
-         ruby-net-ldap (>= 0.17.0),
-         ruby-nokogiri (>= 1.10.0),
-         ruby-rack (>= 1.4.5),
-         ruby-rack-test (>= 0.7.0),
-         ruby-rails (>= 2:6.1.6),
-         ruby-rails-dom-testing (>= 1.0.6-2),
+         ruby-mini-mime (>= 1.0.1~),
+         ruby-mocha (>= 1.4.0~),
+         ruby-net-ldap (>= 0.17.0~),
+         ruby-nokogiri (>= 1.13.5~),
+         ruby-rack (>= 1.4.5~),
+         ruby-rack-test (>= 0.7.0~),
+         ruby-rails (>= 2:6.1.7~),
+         ruby-rails-dom-testing (>= 1.0.6-2~),
          ruby-rails-observers,
-         ruby-rbpdf (>= 1.19),
-         ruby-redcarpet (>= 3.5.1),
-         ruby-request-store (>= 1.5.0),
-         ruby-rmagick (>= 2.14.0),
-         ruby-roadie (>= 3.2.2),
-         ruby-roadie-rails (>= 3.0.0),
-         ruby-rotp (>= 5.0.0),
-         ruby-rouge (>= 3.28.0),
+         ruby-rbpdf (>= 1.19~),
+         ruby-redcarpet (>= 3.5.1~),
+         ruby-request-store (>= 1.5.0~),
+         ruby-rmagick (>= 2.14.0~),
+         ruby-roadie (>= 3.2.2~),
+         ruby-roadie-rails (>= 3.0.0~),
+         ruby-rotp (>= 5.0.0~),
+         ruby-rouge (>= 3.28.0~),
          ruby-rqrcode,
-         ruby-sanitize (>= 6.0),
+         ruby-sanitize (>= 6.0~),
          ruby-zip (>= 2.3.0~),
          ${misc:Depends}
 Recommends: passenger
