=== debian/tests/control ===
--- 
+++ 
@@ -74,6 +74,13 @@
          spawn-fcgi
 Restrictions: needs-root
 
+Test-Command: debian/tests/smoke-test-thin sqlite3 thin-redmine /
+Depends: curl,
+         thin,
+         redmine-sqlite,
+         redmine
+Restrictions: needs-root
+
 # not working because of https://github.com/rails/rails/issues/24393
 #Test-Command: debian/tests/smoke-test-nginx sqlite3 nginx-alias /redmine
 #Depends: curl,
