=== debian/watch ===
version=4
https://github.com/redmine/redmine/tags .*/(.*)\.tar\.gz
