## redmine 5.1.3+ds

=== debian/changelog ===
redmine (5.1.3+ds-5) unstable; urgency=medium

  * debian/control:  Bump ruby-net-ldap build-depends version from (>= 0.17.0~)
    to (>= 0.19.0~).
  * debian/patches/gemfile-deps-adjustment.patch:  Bump gem 'net-ldap' from
    '~> 0.17.0' to '~> 0.19.0'.

 -- Soren Stoutner <soren@debian.org>  Thu, 19 Dec 2024 12:16:43 -0700

redmine (5.1.3+ds-4) unstable; urgency=medium

  * debian/copyright:  Document that the excluded files are provided by their
    Debian packages.
  * debian/control:  Add Suggests apache2 and libapache2-mod-passenger to
    redmine binary package.
  * debian/redmine.links:
    - Update chart.min.js link (Closes: #1083165).
    - Rename from "links" to "redmine.links" to be compatible with the proposed
      debhelper-compat >= 15.
    - Reformat for readability.
  * debian/missing-sources:  Remove chart.min.js and jquery-migrate-3.3.2.min.js
    as these are now excluded from the source and provided by their respective
    Debian packages.

 -- Soren Stoutner <soren@debian.org>  Mon, 16 Dec 2024 15:05:59 -0700

redmine (5.1.3+ds-3) unstable; urgency=medium

  * Team upload.
  * Update version in ruby-mini-magick dependency.

 -- Cédric Boutillier <boutil@debian.org>  Wed, 04 Dec 2024 08:41:50 +0100

redmine (5.1.3+ds-2) unstable; urgency=medium

  * Team upload.
  * Update some versions in dependencies. (Closes: #1087591)
    Thanks Jörg-Volker Peetz

 -- Cédric Boutillier <boutil@debian.org>  Mon, 18 Nov 2024 23:54:31 +0100

redmine (5.1.3+ds-1) unstable; urgency=medium

  [Soren Stoutner]
  * New upstream release (Closes: #1052877, #1041020).
    - Fixes CVE-2023-47260, CVE-2023-47259, CVE-2023-47258.
  * debian/control:
    - Bump debhelper-compat from 12 to 13.
    - Bump standards version to 4.7.0 (no changes needed).
    - Update Build-Depends minimum versions.
  * debian/copyright:
    - Add myself to 'Files: debian/*'.
    - Improve GPL-2 and GPL-2+ license text.
  * debian/Gemfile.test.local:  Add gem 'sqlite3' required by the database test.
  * debian/patches:
    - Remove mail-2.8.patch (applied upstream).
    - Remove update-rouge-to-4.1.0.patch (applied upstream).
    - Add test-timezone.patch.
    - Add test skip to broken-tests-skip.patch.
    - Refresh other patches.
  * debian/postinst:  Fix bashisms (Closes: #1040927).
  * debian/source/lintian-overrides:  Remove obsolete overrides.
  * debian/templates:  Update list of language choices.
  * debian/watch:  Repack the upstream tarball using the "+ds" extension as some
    JavaScript files are replaced by system packages.

  [ Marc Dequènes (Duck) ]
  * Remove allow-activesupport-hwia.patch, it is now integrated upstream
    and this override now breaks various plugins.
  * Fix broken locales check due to bad ordering.
  * Remove install-purge-install test.
  * Add dependency on ruby-with-advisory-lock for mysql adapter.
  * Add patch to fix tests with rouge 4.5.
  * Add patch to fix tests randomly failing due to missing fixtures.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Fri, 15 Nov 2024 16:49:28 +0900

redmine (5.0.4-7) unstable; urgency=medium

  * d/postinst: Run redmine from its own user. (Closes: #1022815)
  * d/README.Debian: document how to run redmine from its own user.

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 10 Jul 2023 15:23:38 +0530

redmine (5.0.4-6) unstable; urgency=medium

  [Jakob Haufe]
  * Patch mercurial helper to work with Python 3 (Closes: #1031811).
  * Adapt dependencies version requirements.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 04 Jul 2023 11:46:13 +0900
