=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Uploaders: Jérémy Lal <kapouer@melix.org>,
            Lucas Kanashiro <kanashiro@debian.org>,
            Marc Dequènes (Duck) <Duck@DuckCorp.org>,
-           Utkarsh Gupta <utkarsh@debian.org>
+           Utkarsh Gupta <utkarsh@debian.org>,
+           Soren Stoutner <soren@debian.org>
 Build-Depends: dbconfig-common,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                gem2deb (>= 2.1~),
                ruby-actionpack-action-caching (>= 1.2.2~),
                ruby-actionpack-xml-parser,
@@ -18,25 +19,25 @@
                ruby-csv (>= 3.2.0~),
                ruby-task-list (>= 2.3.2~),
                ruby-html-pipeline (>= 2.13.2~),
-               ruby-i18n (>= 1.10.0~),
+               ruby-i18n (>= 1.14.1~),
                ruby-jquery-rails (>= 4.0.5~),
-               ruby-mail (>= 2.7.1~),
+               ruby-mail (>= 2.8.1~),
                ruby-marcel (>= 1.0.1+dfsg-2~),
-               ruby-mini-magick (>= 4.11.0~),
-               ruby-mini-mime (>= 1.0.1~),
-               ruby-net-ldap (>= 0.17.0~),
-               ruby-nokogiri (>= 1.13.5~),
+               ruby-mini-magick (>= 4.13.0~),
+               ruby-mini-mime (>= 1.1.0~),
+               ruby-net-ldap (>= 0.19.0~),
+               ruby-nokogiri (>= 1.16.4~),
                ruby-rack (>= 1.4.5~),
                ruby-rails (>= 2:6.1.7~),
                ruby-rails-observers,
-               ruby-rbpdf (>= 1.19~),
-               ruby-redcarpet (>= 3.5.1~),
+               ruby-rbpdf (>= 1.21~),
+               ruby-redcarpet (>= 3.6.0~),
                ruby-request-store (>= 1.5.0~),
                ruby-rmagick (>= 2.14.0~),
                ruby-roadie (>= 3.2.2~),
                ruby-roadie-rails (>= 3.0.0~),
                ruby-rotp (>= 5.0.0~),
-               ruby-rouge (>= 3.28.0~),
+               ruby-rouge (>= 4.2~),
                ruby-rqrcode,
                ruby-sanitize (>= 6.0~),
                ruby-zip (>= 2.3.0~),
@@ -49,7 +50,7 @@
 # https://stackoverflow.com/questions/52998331/imagemagick-security-policy-pdf-blocking-conversion
 #              ghostscript,
 Build-Depends-Indep: po-debconf
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/ruby-team/redmine
 Vcs-Git: https://salsa.debian.org/ruby-team/redmine.git
 Homepage: https://www.redmine.org
@@ -75,34 +76,42 @@
          ruby-csv (>= 3.2.0~),
          ruby-task-list (>= 2.3.2~),
          ruby-html-pipeline (>= 2.13.2~),
-         ruby-i18n (>= 1.10.0~),
+         ruby-i18n (>= 1.14.1~),
          ruby-jquery-rails (>= 4.0.5~),
-         ruby-mail (>= 2.7.1~),
+         ruby-mail (>= 2.8.1~),
          ruby-marcel,
-         ruby-mini-magick (>= 4.11.0~),
-         ruby-mini-mime (>= 1.0.1~),
+         ruby-mini-magick (>= 4.13.0~),
+         ruby-mini-mime (>= 1.1.0~),
          ruby-mocha (>= 1.4.0~),
-         ruby-net-ldap (>= 0.17.0~),
-         ruby-nokogiri (>= 1.13.5~),
+         ruby-net-ldap (>= 0.19.0~),
+         ruby-nokogiri (>= 1.16.4~),
          ruby-rack (>= 1.4.5~),
          ruby-rack-test (>= 0.7.0~),
          ruby-rails (>= 2:6.1.7~),
          ruby-rails-dom-testing (>= 1.0.6-2~),
          ruby-rails-observers,
-         ruby-rbpdf (>= 1.19~),
-         ruby-redcarpet (>= 3.5.1~),
+         ruby-rbpdf (>= 1.21.3~),
+         ruby-redcarpet (>= 3.6.0~),
          ruby-request-store (>= 1.5.0~),
          ruby-rmagick (>= 2.14.0~),
          ruby-roadie (>= 3.2.2~),
          ruby-roadie-rails (>= 3.0.0~),
          ruby-rotp (>= 5.0.0~),
-         ruby-rouge (>= 3.28.0~),
+         ruby-rouge (>= 4.2.0~),
          ruby-rqrcode,
          ruby-sanitize (>= 6.0~),
          ruby-zip (>= 2.3.0~),
          ${misc:Depends}
 Recommends: passenger
-Suggests: bzr, cvs, darcs, git, mercurial, ruby-fcgi, subversion
+Suggests: apache2,
+          bzr,
+          cvs,
+          darcs,
+          git,
+          libapache2-mod-passenger,
+          mercurial,
+          ruby-fcgi,
+          subversion
 Description: flexible project management web application
  Redmine is a flexible project management web application. Written using Ruby
  on Rails framework, it is cross-platform and cross-database.
@@ -132,6 +141,7 @@
 Depends: dbconfig-mysql | dbconfig-no-thanks,
          default-mysql-client | virtual-mysql-client,
          ruby-mysql2 (>= 0.5.0~),
+         ruby-with-advisory-lock,
          ${misc:Depends}
 Recommends: redmine (= ${source:Version})
 Suggests: default-mysql-server | virtual-mysql-server
@@ -160,7 +170,7 @@
 Package: redmine-sqlite
 Architecture: all
 Depends: dbconfig-sqlite3 | dbconfig-no-thanks,
-         ruby-sqlite3 (>= 1.4.0~),
+         ruby-sqlite3 (>= 1.6~),
          sqlite3,
          ${misc:Depends}
 Recommends: redmine (= ${source:Version})
