=== debian/tests/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 # WARNING: do NOT reorder the redmine dependencies or certain tesst will fail.
 #          autopkgtest seems to revolve dpendency in order, which leads to
-#          redmine-sqlite to be installed when trying to tes another database.
+#          redmine-sqlite to be installed when trying to test another database.
 
 Test-Command: debian/tests/smoke-test-apache sqlite3 apache2-passenger-host /
 Depends: apache2,
@@ -81,6 +81,10 @@
          redmine
 Restrictions: needs-root
 
+Test-Command: debian/tests/mercurial-helper
+Depends: mercurial,
+         redmine
+
 # not working because of https://github.com/rails/rails/issues/24393
 #Test-Command: debian/tests/smoke-test-nginx sqlite3 nginx-alias /redmine
 #Depends: curl,
@@ -91,10 +95,6 @@
 #         spawn-fcgi
 #Restrictions: needs-root
 
-Tests: install-purge-install
-Depends: redmine
-Restrictions: needs-root
-
 Tests: install-break-purge
 Depends: redmine
 Restrictions: needs-root
